Index: /LMDZ4/trunk/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 765)
+++ /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 766)
@@ -1077,187 +1055,187 @@
          CALL histdef(nid_mth, "ndayrain", 
      .                "Number of day with rain (liq+sol)", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "inst(X)", zstomth,zout)
 c
          CALL histdef(nid_mth, "precip", "Precipitation Totale liq+sol", 
      .                "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "plul", "Large-scale Precip.", 
      .   "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "pluc", "Convective Precip.", 
      .   "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "snowf", "Snow fall", "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
 c        CALL histdef(nid_mth, "snow_mass", "Snow Mass", "kg/m2",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
 c    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "evap", 
      .                "Evaporation plus sublimation rate", "kg/(s*m2)",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "tops", "Solar rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "tops0", "CS Solar rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "topl", "IR rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "topl0", "IR rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupTOA", "SWup at TOA","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupTOAclr", 
      .                "SWup clear sky at TOA","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnTOA", "SWdn at TOA","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnTOAclr", 
      .                "SWdn clear sky at TOA","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWup200", "SWup at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWup200clr", 
      .                "SWup clear sky at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdn200", "SWdn at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdn200clr", 
      .                "SWdn clear sky at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "LWup200", "LWup at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "LWup200clr", 
      .                "LWup clear sky at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "LWdn200", "LWdn at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "LWdn200clr", 
      .                "LWdn clear sky at 200mb","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "sols", "Solar rad. at surf.", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "sols0", "Solar rad. at surf.", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "soll", "IR rad. at surface", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "radsol", "Rayonnement au sol", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "soll0", "IR rad. at surface", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupSFC", "SWup at surface","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupSFCclr", 
      .                "SWup clear sky at surface","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnSFC", "SWdn at surface","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnSFCclr", 
      .                "SWdn clear sky at surface","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                iim,jjphy_nb,nhori, 1,1,1,-99,
      .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWupSFC","Upwd. IR rad. at surface", 
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWdnSFC","Down. IR rad. at surface", 
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWupSFCclr",
      .                "CS Upwd. IR rad. at surface", 
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWdnSFCclr",
      .                "Down. CS IR rad. at surface", 
-     .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "W/m2", iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "bils", "Surf. total heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "sens", "Sensible heat flux", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "fder", "Heat flux derivation", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
 c          CALL histdef(nid_mth, "frtu", "Zonal wind stress", "Pa",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
 c    .                "ave(X)", zstophy,zout)
 c
 c        CALL histdef(nid_mth, "frtv", "Meridional wind stress", "Pa",
-c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
 c    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ffonte","Thermal flux for snow melting",
-     .                "W/m2",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "W/m2",iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "fqcalving","Ice Calving",
-     .                "kg/m2/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "kg/m2/s",iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -1265,10 +1243,10 @@
            call histdef(nid_mth, "taux_"//clnsurf(nsrf), 
      $         "Zonal wind stress"//clnsurf(nsrf), "Pa",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 
            call histdef(nid_mth, "tauy_"//clnsurf(nsrf), 
      $         "Meridional wind stress "//clnsurf(nsrf), "Pa",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
          ENDDO
@@ -1276,10 +1254,10 @@
            call histdef(nid_mth, "pourc_"//clnsurf(is_oce), 
      $         "% "//clnsurf(is_oce), "%",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_mth, "fract_"//clnsurf(is_oce), 
      $         "Fraction "//clnsurf(is_oce), "1",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
@@ -1288,35 +1266,35 @@
            call histdef(nid_mth, "tsol_"//clnsurf(nsrf), 
      $         "Temperature "//clnsurf(nsrf), "K",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "sens_"//clnsurf(nsrf), 
      $         "Sensible heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_mth, "lat_"//clnsurf(nsrf), 
      $         "Latent heat flux "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "flw_"//clnsurf(nsrf),
      $         "LW "//clnsurf(nsrf), "W/m2",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_mth, "fsw_"//clnsurf(nsrf),
      $         "SW "//clnsurf(nsrf), "W/m2",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "wbils_"//clnsurf(nsrf),
      $         "Bilan sol "//clnsurf(nsrf), "W/m2",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "wbilo_"//clnsurf(nsrf),
      $         "Bilan eau "//clnsurf(nsrf), "kg/(m2*s)",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
@@ -1326,10 +1304,10 @@
            call histdef(nid_mth, "evapour_"//clnsurf(nsrf),
      $         "Evap*pourc "//clnsurf(nsrf), "kg/(s*m2)",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "prepour_"//clnsurf(nsrf),
      $         "Precip*pourc "//clnsurf(nsrf), "kg/(s*m2)",
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 C
@@ -1340,53 +1318,53 @@
 c
          CALL histdef(nid_mth, "cdrm", "Momentum drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cdrh", "Heat drag coef.", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldl", "Low-level cloudiness", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldm", "Mid-level cloudiness", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldh", "High-level cloudiness", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldt", "Total cloudiness", "%",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"cldq","Cloud liquid water path","kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"lwp","Cloud water path","kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"iwp","Cloud ice water path","kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ue", "Zonal energy transport", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ve", "Merid energy transport", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "uq", "Zonal humidity transport", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "vq", "Merid humidity transport", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 cKE43
@@ -1394,25 +1372,25 @@
 c
          CALL histdef(nid_mth, "cape", "Conv avlbl pot ener", "J/kg",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "pbase", "Cld base pressure", "mb",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ptop", "Cld top pressure", "mb",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "fbase", "Cld base mass flux", "kg/m2/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "prw", "Precipitable water", "kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "upwd", "saturated updraft", "kg/m2/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -1423,35 +1401,35 @@
 c HBTM2
          CALL histdef(nid_mth, "s_pblh", "Boundary Layer Height", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "s_pblt", "T at Boundary Layer Height",
      .                "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "s_lcl", "Condensation level", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth,"s_capCL","Conv avlbl pot ener for ABL",
      .                "J/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "s_oliqCL", "Liq Water in BL", "kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth,"s_cteiCL","Instability criteria (ABL)",
      .                "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "s_therm", "Exces du thermique", "K",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "s_trmb1", "deep_cape(HBTM2)", "J/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "s_trmb2", "inhibition (HBTM2)", "J/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "s_trmb3", "Point Omega (HBTM2)", "m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -1475,20 +1453,20 @@
           CALL histdef(nid_mth, "u"//bb2,
      .                 "Zonal wind "//bb2//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_mth, "v"//bb2,
      .                 "Meridional wind "//bb2//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_mth, "w"//bb2,
      .                 "Vertical wind "//bb2//"mb","m/s",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
           CALL histdef(nid_mth, "phi"//bb2,
      .                 "Geopotential "//bb2//"mb","m",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .                "inst(X)", zout,zout)
 c
@@ -1502,15 +1480,15 @@
        CALL histdef(nid_mth, "fluxo",
      .              "Flux turbulents ocean-atmosphere", "W/m2",
-     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .              "ave(X)", zstophy,zout)
 c
        CALL histdef(nid_mth, "fluxg",
      .              "Flux turbulents ocean-glace de mer","W/m2",
-     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .              "ave(X)", zstophy,zout)
 c
        CALL histdef(nid_mth, "t_oce_sic",
      .              "Temp. mixte oce-sic","K",
-     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .              "ave(X)", zstophy,zout)
 c
@@ -1519,5 +1497,5 @@
         CALL histdef(nid_mth, "lmt_bils",
      .       "Bilan au sol atmosphere forcee", "W/m2",
-     .       iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .       iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .       "ave(X)", zstophy,zout)
 c
@@ -1526,17 +1504,17 @@
         CALL histdef(nid_mth, "slab_bils",
      .              "Bilan au sol Slab", "W/m2",
-     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .              "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_mth, "tslab", "Slab SST ", "K",
-     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .              "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_mth, "seaice", "Slab seaice", "kg/m2",
-     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .              "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_mth, "siceh", "Slab seaice height", "m",
-     .              iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .              iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      .              "ave(X)", zstophy,zout)
 c
@@ -1552,66 +1530,66 @@
          CALL histdef(nid_mth,"lwcon","Cloud liquid water content",
      .                "kg/kg",
-     .                iim,jjmp1,nhori, klev,1,klev, nvert, 32, 
+     .                iim,jjphy_nb,nhori, klev,1,klev, nvert, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"iwcon","Cloud ice water content","kg/kg",
-     .                iim,jjmp1,nhori, klev,1,klev, nvert, 32, 
+     .                iim,jjphy_nb,nhori, klev,1,klev, nvert, 32, 
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "temp", "Air temperature", "K",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ovap", "Specific humidity", "kg/kg",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
 c        CALL histdef(nid_mth,"wvap","Water vapor mixing ratio","kg/kg",
-c    .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+c    .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
 c    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "geop", "Geopotential height", "m2/s2",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "vitu", "Zonal wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "vitv", "Meridional wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "vitw", "Vertical wind", "m/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "pres", "Air pressure", "Pa",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
         CALL histdef(nid_mth, "rneb", "Cloud fraction", "%",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "rnebcon", "Convective Cloud Fraction"
      .                , "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "rhum", "Relative humidity", "-",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ozone", "Ozone concentration", "ppmv",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dtphy", "Physics dT", "K/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "dqphy","Physics dQ","(kg/kg)/s",
-     .                iim,jjmp1,nhori, klev,1,klev,nvert, 32,
+     .                iim,jjphy_nb,nhori, klev,1,klev,nvert, 32,
      .                "ave(X)", zstophy,zout)
 c
@@ -1624,14 +1602,14 @@
            call histdef(nid_mth, "albe_"//clnsurf(nsrf), 
      $         "Albedo surf. "//clnsurf(nsrf), "-",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_mth, "rugs_"//clnsurf(nsrf), 
      $         "Rugosite "//clnsurf(nsrf), "m",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         iim,jjphy_nb,nhori, 1,1,1, -99, 32,
      $         "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ages_"//clnsurf(nsrf), "Snow age","day",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
@@ -1639,8 +1617,8 @@
 c
          CALL histdef(nid_mth, "albs", "Surface albedo", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
          CALL histdef(nid_mth, "albslw", "Surface albedo LW", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                iim,jjphy_nb,nhori, 1,1,1, -99, 32, 
      .                "ave(X)", zstophy,zout)
 c
